<?php

/*
Plugin Name: install press2
Plugin URI: https://wp-plugin.info/
Description: プラグインをインストールするためのプラグイン。
Version: 0.8.9
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Notice: 1
Last Update: 2024-01-24
Changelog: PHP8系に修正
2024-01-24 0.8.9 PHP8系に修正
2023-09-17 0.8.8 価格改定
2022-10-06 0.8.7 価格改定
2022-05-30 0.8.6 支払済みライセンス契約機能を追加
2022-05-25 0.8.5 サブスク再認証機能を追加
2022-05-16 0.8.4 サポート機能を追加
2022-03-18 0.8.0 初リリース
*/
 if( class_exists( 'JointPress2' ) ) {  require_once( dirname( __FILE__ ) . '/class_vars.php' ); require_once( dirname( __FILE__ ) . '/class_widget.php' ); $INSP_V2 = new INSTALL_PRESS_VARS2();  $INSP_WDGT2 = new INSTALL_PRESS_WIDGET2();   $INSP2 = new InstallPress2(); } else {  if(! function_exists( 'JOINTPRESS_DASHBOARD_NOTICE2' ) ) {  add_action( 'admin_notices' , 'JOINTPRESS_DASHBOARD_NOTICE2' );  function JOINTPRESS_DASHBOARD_NOTICE2() { ?>

<div class="error">
	<p style="font-size:1.5rem; color:red;">共通ライブラリプラグイン Joint Press2がインストールされていません。先にJoint Pressをインストールして下さい。Joint Press2のダウンロードは<a href="<?php echo 'https://wp-plugin.info/wp-content/uploads/mhs-joint-press2.zip'; ?>">こちら</a>から可能です。</p>
</div>
<?php
 } } } class InstallPress2 {  function __construct() { global $INSP_V2 , $INSP_WDGT2;  $WIDGET_FLAG = $INSP_V2->WIDGET_FLAG; $PL_NAME = $INSP_V2->PL_NAME;  add_action( 'admin_menu' , array( &$this , 'ADMIN_MENU' ) );  add_action( 'init' , array( &$this , 'VERSION_CHECK_WRAPPER' ) );  add_action( 'admin_notices' , array( &$this , 'USER_DASHBOARD_NOTICE' ) );  add_action( 'wp_ajax_mhs-' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-plugin-authorization' , array( &$this , 'AJAX_PLUGIN_AUTHORIZATION' ) ); add_action( 'wp_ajax_install-press2_add_licence', array( &$this , 'AJAX_ADD_LICENCE' ) ); add_action( 'wp_ajax_install-press2_certification_licence', array( &$this , 'AJAX_CERTIFICATION_LICENCE' ) ); add_action( 'wp_ajax_install-press2_aready_licence', array( &$this , 'AJAX_AREADY_LICENCE' ) ); add_action( 'wp_ajax_install-press2_get_item', array( &$this , 'AJAX_GET_ITEM' ) ); add_action( 'wp_ajax_install-press2_get_plugin_lists', array( &$this , 'AJAX_GET_PLUGIN_LISTS' ) ); add_action( 'wp_ajax_install-press2_download_item', array( &$this , 'AJAX_DOWNLOAD_ITEM' ) ); add_action( 'wp_ajax_install-press2_contract_confirm', array( &$this , 'AJAX_CONTRACT_CONFIRM' ) ); add_action( 'wp_ajax_install-press2_cancel_licence', array( &$this , 'AJAX_CANCEL_LICENCE' ) ); add_action( 'wp_ajax_install-press2_cancel_support_contract', array( &$this , 'AJAX_CANCEL_SUPPORT_CONTRACT' ) );  add_action( 'init' , array( &$this , 'CHECK_CALLBACK_AUTH' ) );  if( $WIDGET_FLAG ) {  }  }  function VERSION_CHECK_WRAPPER()  {  if(! is_admin() ) return; global $JP2;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( $item_name . '-' . 'authentication' );  if( isset( $H_auth[ 'status' ] ) and $H_auth[ 'status' ] == 1 ) {   $H_auth[ 'cmd' ] = 'ver_check2'; $H_auth[ 'type' ] = 'pl'; $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  unset( $H_auth[ 'status' ] ); unset( $H_auth[ 'title' ] ); unset( $H_auth[ 'msg' ] );  $query_string = http_build_query( $H_auth , '' , '&' );  $JP2->VERSION_CHECK( 'https://wp-plugin.info/?' . $query_string , __FILE__ ); } }  function USER_DASHBOARD_NOTICE() {   if(! current_user_can( 'manage_options' ) ) return; global $INSP_V2;  $PLUGIN_AUTHORIZATION_NAME = $INSP_V2->PLUGIN_AUTHORIZATION_NAME;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $mhs_Option = new mhs_Option2();  $H_licence = $mhs_Option->GET_OPTION( 'mhs-subsc-licenced' );  if(! isset( $H_licence[ 'status' ] ) and ! $H_licence[ 'status' ] ) { $url = admin_url( 'admin.php?page=mhs-' . $item_name . '/' . $item_name . '.php' ); ?>
<div class="error notice">
	<p><?php echo $item_name; ?>の機能を解放するために<a href="<?php echo $url; ?>">ライセンス認証</a>を行って下さい。</p>
</div>
<?php
 return; }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $H_auth = $mhs_Option->GET_OPTION( $item_name . '-' . 'authentication' );  if(! isset( $H_auth[ 'status' ] ) or ! $H_auth[ 'status' ] ) { $url = admin_url( 'admin.php?page=' . $PLUGIN_AUTHORIZATION_NAME ); ?>
<div class="error notice">
	<p><?php echo $item_name; ?>の<a href="<?php echo $url; ?>">プラグイン認証</a>を行って下さい。<br>プラグイン認証を行うとすべての機能が利用できます。</p>
</div>
<?php
 } }  function TEST() {  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( $item_name . '-' . 'authentication' ); $this->DMP( $H_auth );  $mhs_Option->UPDATE_OPTION( $item_name . '-' . 'authentication' , null );  $H_licence = $mhs_Option->GET_OPTION( 'mhs-subsc-licenced' ); $this->DMP( $H_licence );  $mhs_Option->UPDATE_OPTION( 'mhs-subsc-licenced' , null ); }  function CHECK_CALLBACK_AUTH() {   if( $_REQUEST[ 'cmd' ] != 'mhs-update-press2-callback_auth' ) return;  $H_res[ 'admin_mail' ] = get_option( 'admin_email' ); $H_res[ 'url' ] = home_url();  echo json_encode( $H_res ); exit(); }  function SUPPORT_CONTRACT() {  global $INSP_V2 , $JP2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $payment_action_url = 'https://wp-plugin.info/';  $public_key = 'pk_live_51IqiYTCEvplzzia34SXLPzgx2xnyXXvJruxDZJZuopzGXxG2AQpS1298fSnVUv0BA7hHCcNjOIDBR0jRsF7XHhCS00gmIEotJE'; $return_url = admin_url( 'admin.php?page=InstallPress2-support_contract&cmd=finish' ); $template = <<< EOM
<div class="wrap">
	<h2 class="page-title">サポート契約・解約</h2>

	<div class="uk-grid-match uk-child-width-1-2@m" uk-grid>

		<div id="mhs-support-contract-confirm">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/support.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">サポートを契約する</h2>
					<p>サポートを契約される方はこちら<br>月額500円で複数のサイトのサポートが可能です。</p>
					<p>契約後 [ サポートフォーラム2 ] が利用可能になります。</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

		<div id="mhs-support-cancel">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/support_cancel.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">サポートを解約する</h2>
					<p>サポート契約を解約される方はこちら</p>
					<p>サポート契約は解約すると直ちにサポートフォーラムの利用はできなくなります。</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc/#introduction" target="_blank">導入手順はこちら</a>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc-qa/" target="_blank">インストールとバージョンアップのＱ＆Ａはこちら</a>
	</div>

</div>


<div id="mhs-modal-support-contract-confirm" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">サポート契約</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

            <form id="{{PL_NAME}}-card_payment-form" class="{{PL_NAME}}-card_payment uk-form-horizontal uk-margin-large" action="{{payment_action_url}}" method="post">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

				<hr>

				<div class="support_info">
				</div>

				<div class="uk-alert mhs-notice-warning" uk-alert>
				    <h3>課金の開始時期について</h3>
				    <p>サポートの課金は初月から行われます。月額500円で複数のサイトのサポートが可能です。</p>
					<p>契約後 [ サポートフォーラム2 ] が利用可能になります。</p>
				</div>

                <!-- カード番号 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-number" class="input mhs-card-input"></div>
                </div>

                <!-- 有効期限 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-expiry" class="input mhs-card-input"></div>
                </div>

                <!-- セキュリティ番号 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-cvc" class="input mhs-card-input"></div>
                </div>


                <!-- 本番決済用コマンド -->
                <input type="hidden" name="cmd" value="mhs-{{PL_NAME}}-support-pay">
                <input type="hidden" name="admin_mail" value="{{admin_mail}}" class="admin_mail">
                <input type="hidden" name="url" value="{{url}}" class="url">
                <input type="hidden" name="auth_url" value="{{auth_url}}" class="auth_url">
                <input type="hidden" name="return_url" value="{{return_url}}" class="return_url">


                <!-- ボタン -->
                <button type="submit" id="mhs-support-contract-confirm-btn" class="uk-button uk-button-danger uk-button-large uk-text-large uk-width-1-1">この内容で契約する</button>

                <div id="{{PL_NAME}}-err" class="uk-alert mhs-notice-negative uk-hidden" uk-alert></div>

            </form>

        </div>
    </div>
</div>


<div id="mhs-modal-support-cancel" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">解約手続き</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

			<form id="{{PL_NAME}}-support-cancel-form" class="uk-form-horizontal">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

			</form>

        </div>
        <div class="uk-modal-footer uk-text-right">
			<button id="mhs-support-cancel-btn" class="uk-button uk-button-danger" type="button">解約する</button>
        </div>
    </div>
</div>

<!-- 契約結果モーダル -->
<div id="mhs-modal-support-contract-result" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">タイトル</h2>
        </div>
        <div class="uk-modal-body">
コンテンツ
        </div>
    </div>
</div>

<style>
.mhs-card-input
{
	padding: 10px;
    border: 1px solid #ff000033;
}
#mhs-support-contract-confirm , #mhs-support-cancel
{
	cursor: pointer;
}
</style>

{{script}}

EOM;
 $script = <<< EOM
<script src="https://js.stripe.com/v3/"></script>
<script>
//ページのロードが完了したら
window.addEventListener( 'load' , ()=>
{
	const loader = document.querySelectorAll( '.mhs-loader' );

	//ローダーを非表示にする
	loader.forEach( ( elem ) => { elem.style.display ='none'; });


	//サポートを契約するなら
	document.querySelector( '#mhs-support-contract-confirm' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-support-contract-confirm' ).show();
	});

	//サポートを解約するなら
	document.querySelector( '#mhs-support-cancel' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-support-cancel' ).show();
	});


	const result = {{result}};

	//結果が返ってきたら
	if( result )
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-support-contract-result' ).show();

		const modal_title		= document.querySelector( '#mhs-modal-support-contract-result .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-support-contract-result .uk-modal-body' );

		modal_title.innerHTML	= '{{result_title}}';
		modal_body.innerHTML	= '<p>{{result_msg}}</p>';

		//結果モーダルを閉じたら
		UIkit.util.on( '#mhs-modal-support-contract-result' , 'hidden' , function()
		{
			//更新する
			location.href = '{{this_url}}';
		});
	}


	//サポートを契約するなら
	document.querySelector( '#mhs-support-contract-confirm-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-support-contract-confirm-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-support-contract-confirm-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-body' );

		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-support-contract-confirm-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_contract}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-support-contract-confirm .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= data.msg;

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});


	//サポートを解約するなら
	document.querySelector( '#mhs-support-cancel-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-support-cancel-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-support-cancel-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-body' );

		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-support-cancel-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_cancel}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-support-cancel .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-support-cancel .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-support-cancel .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= data.msg;

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});




	// StripeのAPIキーを読み込み
	var stripe      = Stripe( '{{public_key}}' );

	// Elementsインスタンスを作成
	var elements    = stripe.elements();

	// Elementsのスタイルを指定
	var style = 
	{
	    base:
	    {
	        color           : '#32325d',
	        fontFamily      : '"Helvetica Neue", Helvetica, sans-serif',
	        fontSize        : '30px' ,
	        '::placeholder' :
	        {
	            color       : '#cfd7df',
	        },
	    },
	    invalid:
	    {
	        color           : '#fa755a',
	        iconColor       : '#fa755a'
	    }
	};

	// フォームのidを指定してElementsをマウント
	const cardNumber    = elements.create( 'cardNumber' , { style: style , showIcon: true , placeholder: 'カード番号 1111 1111 1111 1111' } );
	cardNumber.mount( '#{{PL_NAME}}-card-number' );

	const cardExpiry    = elements.create( 'cardExpiry' , { style: style , placeholder: '有効期限　MM/YY' } );
	cardExpiry.mount( '#{{PL_NAME}}-card-expiry' );

	const cardCvc       = elements.create( 'cardCvc' , { style: style , placeholder: 'カード裏の3桁のセキュリティ番号' } );
	cardCvc.mount( '#{{PL_NAME}}-card-cvc' );

	// カード番号のリアルタイムバリデーション
	cardNumber.addEventListener( 'change' , function( event )
	{
	    var displayError                = document.getElementById( '{{PL_NAME}}-err' );

	    if( event.error )
	    {
	        //hiddenクラスを削除
	        displayError.classList.remove( 'uk-hidden' );

	        displayError.textContent    = event.error.message;
	    }
	    else
	    {
	        //hiddenクラスを追加
	        displayError.classList.add( 'uk-hidden' );

	        displayError.textContent    = '';
	    }
	});


	// Submitボタンでエラーをチェック
	var form    = document.getElementById( '{{PL_NAME}}-card_payment-form' );

	//この内容で認証するボタンを押下したら
	form.addEventListener( 'submit' , function( event )
	{
	    event.preventDefault();

		//この内容で認証するボタンを取得
        const confirm_btn                   = document.getElementById( 'mhs-support-contract-confirm-btn' );

        //hiddenクラスを追加して隠す
        confirm_btn.classList.add( 'uk-hidden' );

	    stripe.createToken( cardNumber ).then( function( result )
	    {
	        var errorElement                = document.getElementById( '{{PL_NAME}}-err' );

	        //エラーであれば
	        if( result.error )
	        {
	            //hiddenクラスを削除
	            errorElement.classList.remove( 'uk-hidden' );

	            errorElement.textContent    = result.error.message;
	        }
	        else
	        {
	            //hiddenクラスを追加
	            errorElement.classList.add( 'uk-hidden' );

	            // Send the token to your server.
	            stripeTokenHandler( result.token , '{{PL_NAME}}-card_payment-form' );
	        }
	    });
	});

// フォーム送信処理 (stripeTokenをhiddenで送信)
function stripeTokenHandler( token , form_id )
{
    // Insert the token ID into the form so it gets submitted to the server
    var form        = document.getElementById( form_id );
    var hiddenInput = document.createElement( 'input' );

    hiddenInput.setAttribute( 'type' , 'hidden' );
    hiddenInput.setAttribute( 'name' , 'stripeToken' );
    hiddenInput.setAttribute( 'value' , token.id );

    form.appendChild( hiddenInput );

    // Submit the form
    form.submit();
}

});
</script>

EOM;
  $H_url = parse_url( home_url() ); $url = $H_url[ 'host' ] . $H_url[ 'path' ];  $script = str_replace( '{{action_contract}}' , 'install-press2_contract_confirm' , $script ); $script = str_replace( '{{action_cancel}}' , 'install-press2_cancel_support_contract' , $script ); $script = str_replace( '{{url}}' , $url , $script ); $script = str_replace( '{{public_key}}' , $public_key , $script ); $script = str_replace( '{{token}}' , wp_create_nonce( $NOUNCE_KEY ) , $script ); $script = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script );  $mhs_Path = new mhs_Path2(); $img_path = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $template = str_replace( '{{script}}' , $script , $template ); $template = str_replace( '{{url}}' , $url , $template ); $template = str_replace( '{{PL_NAME}}' , $PL_NAME , $template ); $template = str_replace( '{{payment_action_url}}' , $payment_action_url , $template ); $template = str_replace( '{{admin_mail}}' , get_option( 'admin_email' ) , $template ); $template = str_replace( '{{auth_url}}' , home_url() , $template ); $template = str_replace( '{{return_url}}' , $return_url , $template ); $template = str_replace( '{{img_path}}' , $img_path , $template );  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_REQUEST );  if( $H_query[ 'cmd' ] == 'finish' ) { $result_title= htmlspecialchars_decode( $H_query[ 'title' ] , ENT_QUOTES ); $result_msg = htmlspecialchars_decode( $H_query[ 'msg' ] , ENT_QUOTES ); $template = str_replace( '{{result}}' , 1 , $template ); $template = str_replace( '{{result_title}}' , $result_title , $template ); $template = str_replace( '{{result_msg}}' , $result_msg , $template ); $template = str_replace( '{{this_url}}' , admin_url( 'admin.php?page=InstallPress2-support_contract' ) , $template );   if( $H_query[ 'status' ] == 1 ) {  unset( $H_query[ 'cmd' ] ); unset( $H_query[ 'title' ] ); unset( $H_query[ 'msg' ] ); unset( $H_query[ 'page' ] );  $mhs_Option = new mhs_Option2();  $mhs_Option->UPDATE_OPTION( 'mhs-subsc-support-contract' , $H_query , 1 ); } } else { $template = str_replace( '{{result}}' , 0 , $template ); }  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; }  function AJAX_CANCEL_SUPPORT_CONTRACT() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '入力エラー', 'msg' => 'トークンが正しくありませんでした。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-cancel_support_contract'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_CANCEL_LICENCE() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '入力エラー', 'msg' => 'トークンが正しくありませんでした。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-cancel_licence'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_CONTRACT_CONFIRM() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '登録エラー', 'msg' => 'トークンが正しくありませんでした。ライセンス認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-contract_confirm'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function CANCEL() {  global $INSP_V2 , $JP2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $template = <<< EOM
<div class="wrap">
	<h2 class="page-title">契約確認・解約申請</h2>

	<div class="uk-grid-match uk-child-width-1-2@m" uk-grid>

		<div id="mhs-contract-confirm">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/confirmation.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">契約を確認する</h2>
					<p>ライセンス認証がお済みの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

		<div id="mhs-cancel-licence">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/cancel.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">解約する</h2>
					<p>ライセンス認証がまだの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc/#introduction" target="_blank">導入手順はこちら</a>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc-qa/" target="_blank">インストールとバージョンアップのＱ＆Ａはこちら</a>
	</div>

</div>

<div id="mhs-modal-contract-confirm" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">契約確認</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

			<form id="{{PL_NAME}}-contract-confirm-form" class="uk-form-horizontal">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

			</form>

        </div>
        <div class="uk-modal-footer uk-text-right">
			<button id="mhs-contract-confirm-btn" class="uk-button uk-button-primary" type="button">確認する</button>
        </div>
    </div>
</div>


<div id="mhs-modal-cancel-licence" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">解約手続き</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

			<form id="{{PL_NAME}}-cancel-licence-form" class="uk-form-horizontal">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

			</form>

        </div>
        <div class="uk-modal-footer uk-text-right">
			<button id="mhs-cancel-licence-btn" class="uk-button uk-button-danger" type="button">解約する</button>
        </div>
    </div>
</div>

<style>
#mhs-cancel-licence , #mhs-contract-confirm
{
	cursor: pointer;
}
</style>

{{script}}

EOM;
 $script = <<< EOM
<script>
//ページのロードが完了したら
window.addEventListener( 'load' , ()=>
{
	const loader = document.querySelectorAll( '.mhs-loader' );

	//ローダーを非表示にする
	loader.forEach( ( elem ) => { elem.style.display ='none'; });


	//契約を確認するなら
	document.querySelector( '#mhs-contract-confirm' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-contract-confirm' ).show();
	});

	//解約するなら
	document.querySelector( '#mhs-cancel-licence' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-cancel-licence' ).show();
	});



	//契約を確認するなら
	document.querySelector( '#mhs-contract-confirm-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-contract-confirm-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-contract-confirm-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-body' );

		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-contract-confirm-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_contract}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-contract-confirm .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= data.msg;

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});


	//解約するなら
	document.querySelector( '#mhs-cancel-licence-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-cancel-licence-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-cancel-licence-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-body' );

		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-cancel-licence-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_cancel}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-cancel-licence .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= data.msg;

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});

});
</script>

EOM;
  $H_url = parse_url( home_url() ); $url = $H_url[ 'host' ] . $H_url[ 'path' ];  $script = str_replace( '{{action_contract}}' , 'install-press2_contract_confirm' , $script ); $script = str_replace( '{{action_cancel}}' , 'install-press2_cancel_licence' , $script ); $script = str_replace( '{{token}}' , wp_create_nonce( $NOUNCE_KEY ) , $script ); $script = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script );  $mhs_Path = new mhs_Path2(); $img_path = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $template = str_replace( '{{script}}' , $script , $template ); $template = str_replace( '{{PL_NAME}}' , $PL_NAME , $template ); $template = str_replace( '{{img_path}}' , $img_path , $template );  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; }  function AJAX_DOWNLOAD_ITEM() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $token = $H_query[ 'token' ]; $item_name = $H_query[ 'item_name' ]; $mail = $H_query[ 'mail' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '取得エラー', 'msg' => '<div class="uk-alert mhs-notice-negative" uk-alert>トークンが正しくありませんでした。プラグインのダウンロードに失敗しました。</div>', 'msg2' => 'トークンが正しくありませんでした。プラグインのダウンロードに失敗しました。' , ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'update-press2-dl'; $H_auth[ 'item_name' ] = $item_name; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;   $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => '<div class="uk-alert mhs-notice-negative" uk-alert>サーバーから応答がありませんでした。しばらくしてから再度お試し下さい。</div>', 'msg2' => 'サーバーから応答がありませんでした。しばらくしてから再度お試し下さい。' , ); $this->AJAX_RES( $H_res , 1 ); }  $data = wp_remote_retrieve_body( $response );  $mhs_Files = new mhs_Files2();  $file_path = dirname( __FILE__ ) . '/temp/mhs-' . $item_name . '.zip';  $mhs_Files->PUT_FILE( $file_path , $data , $permisson = 0644 );  $mhs_Archive = new mhs_Archive2();  $copy_dir = WP_PLUGIN_DIR . '/mhs-' . $item_name;  if( file_exists( $copy_dir ) ) {  $H_res = array ( 'status'=> 0, 'title' => 'インストール失敗', 'msg' => '<div class="uk-alert mhs-notice-negative" uk-alert>既にプラグインがインストールされています。再インストールしたい場合は手動でプラグインをアンイストールしてから再度お試し下さい。</div>', 'msg2' => '既にプラグインがインストールされています。再インストールしたい場合は手動でプラグインをアンイストールしてから再度お試し下さい。' , ); $this->AJAX_RES( $H_res , 1 ); }  else {  $mhs_Archive->UNZIP( $file_path , WP_PLUGIN_DIR , $mode = 0755 ); } $H_res = array ( 'status'=> 1, 'title' => 'インストール完了', 'msg' => '<div class="uk-alert mhs-notice-success" uk-alert>プラグインのインストールが完了しました。しかし、プラグインは有効化はされていません。使用する場合は有効化して下さい。</div>', 'msg2' => 'プラグインのインストールが完了しました。しかし、プラグインは有効化はされていません。使用する場合は有効化して下さい。' , ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_GET_PLUGIN_LISTS() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $token = $H_query[ 'token' ]; $mail = $H_query[ 'mail' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '取得エラー', 'msg' => 'トークンが正しくありませんでした。プラグインリスト取得に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-get_plugin_lists'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'サーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function INSTALL() {  global $INSP_V2 , $JP2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $template = <<< EOM
<div class="wrap">
	<h2 class="page-title">プラグインインストール</h2>

	<div class="uk-grid-match uk-child-width-1-2@m" uk-grid>

		<div id="mhs-install">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/install.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">インストールする</h2>
					<p>ライセンス認証がお済みの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

		<div id="mhs-add-licence">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/licence.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">ライセンス認証する</h2>
					<p>ライセンス認証がまだの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>

	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc/#introduction" target="_blank">導入手順はこちら</a>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc-qa/" target="_blank">インストールとバージョンアップのＱ＆Ａはこちら</a>
	</div>

</div>

<div id="mhs-modal-install" class="uk-flex-top" style="z-index: 999999;" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">インストール</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

			<form id="{{PL_NAME}}-install-form" class="uk-form-horizontal">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

			</form>

        </div>
        <div class="uk-modal-footer uk-text-right">
			<button id="mhs-get-plugin-lists-btn" class="uk-button uk-button-primary" type="button">プラグインリストを取得する</button>
        </div>
    </div>
</div>

<style>
#mhs-install , #mhs-add-licence , .mhs-item-install
{
	cursor: pointer;
}
</style>

{{script}}

EOM;
 $script = <<< EOM
<script>
//ページのロードが完了したら
window.addEventListener( 'load' , ()=>
{
	const loader = document.querySelectorAll( '.mhs-loader' );

	//ローダーを非表示にする
	loader.forEach( ( elem ) => { elem.style.display ='none'; });


	//インストールするなら
	document.querySelector( '#mhs-install' ).addEventListener( 'click' , ()=>
	{
		const modal					= document.querySelector( '#mhs-modal-install' );

		//style属性を追加する
		modal.setAttribute( 'style' , 'z-index: 999999;' );

		//モーダルを開く
		UIkit.modal( '#mhs-modal-install' ).show();
	});

	//ライセンスを追加するなら
	document.querySelector( '#mhs-add-licence' ).addEventListener( 'click' , ()=>
	{
		location.href = "{{activation_url}}";
	});



	//プラグインリストを取得するなら
	document.querySelector( '#mhs-get-plugin-lists-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-install-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-get-plugin-lists-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-install .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-install .uk-modal-body' );


		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-install-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-install .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-install .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-install .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-install .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal					= document.querySelector( '#mhs-modal-install' );
			const modal_title			= document.querySelector( '#mhs-modal-install .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-install .uk-modal-body' );

			//フルサイズに変更するクラスを追加
			modal.classList.add( 'uk-modal-full' );

			modal_title.innerHTML		= data.title;

			//正常取得できていれば
			if( data.status == 1 )
			{
				modal_body.innerHTML	= data.plugins;

				//プラグインリストにイベントを追加
				document.querySelectorAll( '.mhs-item-install' ).forEach( item =>
				{
					item.addEventListener( 'click' , e =>
					{
						//プラグインをインストールする
						ajax_item_install( item.dataset.item_name , data.mail );

						//ボタンの非表示
						anime( { targets: item , opacity: 0 } );
						item.disabled	= true;	//アニメで非表示にできないので無効にする

					});
				});
			}
			//できていなければ
			else
			{
				modal_body.innerHTML	= data.msg;

				alert( data.msg );
			}

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});



	//プラグインをインストールする
	function ajax_item_install( item_name , mail )
	{
		let fd = new FormData();

//		modal_title.innerHTML	= '通信中';
//		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{download_item}}' );
		fd.append( 'token' , '{{token}}' );
		fd.append( 'mail' , mail );
		fd.append( 'item_name' , item_name );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-install .uk-modal-title' );
				const install_result	= document.querySelector( '#mhs-modal-install #install_result' );

				modal_title.innerHTML	= '通信完了';
				install_result.innerHTML= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-install .uk-modal-title' );
				const install_result	= document.querySelector( '#mhs-modal-install #install_result' );

				modal_title.innerHTML	= '異常終了';
				install_result.innerHTML= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-install .uk-modal-title' );
			const install_result		= document.querySelector( '#mhs-modal-install #install_result' );

			modal_title.innerHTML		= data.title;
			install_result.innerHTML	= data.msg;

			alert( data.msg2 );

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	}

});
</script>

EOM;
  $H_url = parse_url( home_url() ); $url = $H_url[ 'host' ] . $H_url[ 'path' ];  $script = str_replace( '{{action}}' , 'install-press2_get_plugin_lists' , $script ); $script = str_replace( '{{download_item}}' , 'install-press2_download_item' , $script ); $script = str_replace( '{{token}}' , wp_create_nonce( $NOUNCE_KEY ) , $script ); $script = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script );  $mhs_Path = new mhs_Path2(); $img_path = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME ); $activation_url = admin_url( 'admin.php?page=mhs-' . $item_name . '/' .$item_name . '.php' ); $template = str_replace( '{{script}}' , $script , $template ); $template = str_replace( '{{activation_url}}' , $activation_url , $template ); $template = str_replace( '{{PL_NAME}}' , $PL_NAME , $template ); $template = str_replace( '{{img_path}}' , $img_path , $template );  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; }  function AJAX_GET_ITEM() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '取得エラー', 'msg' => 'トークンが正しくありませんでした。ライセンス認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_auth[ 'cmd' ] = 'mhs-install-press2-get_item'; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_AREADY_LICENCE() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $code = $H_query[ 'code' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '登録エラー', 'msg' => 'トークンが正しくありませんでした。ライセンス認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) or ! $code ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスまたは認証コードが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-aready_licence'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'code' ] = $code; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true );   if( $H_res[ 'status' ] == 1 ) { $H_query = $H_res;  unset( $H_query[ 'cmd' ] ); unset( $H_query[ 'title' ] ); unset( $H_query[ 'msg' ] );  $mhs_Option = new mhs_Option2();  $mhs_Option->UPDATE_OPTION( 'mhs-subsc-licenced' , $H_query , 1 ); }  else if( is_null( $H_res ) ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); } $this->AJAX_RES( $H_res , 1 ); }  function AJAX_CERTIFICATION_LICENCE() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $subsc_id = $H_query[ 'subsc_id' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '登録エラー', 'msg' => 'トークンが正しくありませんでした。ライセンス認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) or ! $subsc_id ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスまたはサブスクIDが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-install-press2-certification_licence'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'subsc_id' ] = $subsc_id; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true );   if( $H_res[ 'status' ] == 1 ) { $H_query = $H_res;  unset( $H_query[ 'cmd' ] ); unset( $H_query[ 'title' ] ); unset( $H_query[ 'msg' ] );  $mhs_Option = new mhs_Option2();  $mhs_Option->UPDATE_OPTION( 'mhs-subsc-licenced' , $H_query , 1 ); }  else if( is_null( $H_res ) ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); } $this->AJAX_RES( $H_res , 1 ); }  function AJAX_ADD_LICENCE() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '登録エラー', 'msg' => 'トークンが正しくありませんでした。ライセンス認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $ref_url = ( empty( $_SERVER[ "HTTPS" ] ) ? "http://" : "https://") . $_SERVER[ "HTTP_HOST" ] . $_SERVER[ "REQUEST_URI" ];  $H_auth[ 'cmd' ] = 'mhs-install-press2-add_licence'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'ref_url' ] = $ref_url; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_RES( $H_array = array() , $exit_flag = 0 ) {   header( "Content-Type: application/json" );  echo json_encode( $H_array ); if( $exit_flag ) { exit; } }  function ACTIVATION() {  global $INSP_V2 , $JP2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $payment_action_url = 'https://wp-plugin.info/';  $public_key = 'pk_live_51IqiYTCEvplzzia34SXLPzgx2xnyXXvJruxDZJZuopzGXxG2AQpS1298fSnVUv0BA7hHCcNjOIDBR0jRsF7XHhCS00gmIEotJE'; $return_url = admin_url( 'admin.php?page=mhs-install-press2%2Finstall-press2.php&cmd=finish' ); $template = <<< EOM
<div class="wrap">
	<h2 class="page-title">ライセンス認証</h2>

	<div class="uk-grid-match uk-child-width-1-2@m" uk-grid>

		<!-- ライセンス認証 -->
		<div id="mhs-activation">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/licence.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">ライセンス認証</h2>
					<p>認証コードをお持ちの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>
		<!-- /ライセンス認証 -->

		<!-- 支払済ライセンス認証 -->
		<div id="mhs-aready-licence">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/aready_licence.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">支払済ライセンス認証</h2>
					<p>紹介購入やココナラなどで既に支払済みで認証コードをお持ちの方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>
		<!-- /支払済ライセンス認証 -->

		<!-- 新規追加 -->
		<div id="mhs-add-licence">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/add_licence.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">新規追加(はじめての方)</h2>
					<p>認証コードがないか、または新規にライセンスを追加したい方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>
		<!-- /新規追加 -->

		<!-- サブスクID再認証 -->
		<div id="mhs-certification-licence">
			<div class="uk-card uk-card-hover uk-card-default">
				<div class="uk-card-media-top">
					<img src="{{img_path}}/images/certification.png">
				</div>
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size20">サブスクID再認証</h2>
					<p>決済後サブスクIDを再認証したい方はこちら</p>
					<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
				</div>
			</div>
		</div>
		<!-- /サブスクID再認証 -->

	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc/#introduction" target="_blank">導入手順はこちら</a>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc-qa/" target="_blank">インストールとバージョンアップのＱ＆Ａはこちら</a>
	</div>

</div>

<!-- ライセンス認証モーダル -->
<div id="mhs-modal-activation" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">ライセンス認証</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

            <form id="{{PL_NAME}}-card_payment-form" class="{{PL_NAME}}-card_payment uk-form-horizontal uk-margin-large" action="{{payment_action_url}}" method="post">

				<div class="uk-margin">
					<label class="uk-form-label">認証コード</label>
					<div class="uk-form-controls">
						<input class="uk-input" name="code" type="text" placeholder="認証コード">
					</div>
				</div>

				<div class="uk-margin">
					<label class="uk-form-label">登録URL</label>
					<div class="uk-form-controls">
						<input class="uk-input" name="myurl" type="text" value="{{url}}" disabled>
					</div>
				</div>

				<hr>

				<div class="item_info">
				</div>

				<div class="uk-alert mhs-notice-warning" uk-alert>
					<h3>課金の開始時期について</h3>
					<p>月々5000円(半年ごとのお支払い)</p>
				</div>

                <!-- カード番号 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-number" class="input mhs-card-input"></div>
                </div>

                <!-- 有効期限 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-expiry" class="input mhs-card-input"></div>
                </div>

                <!-- セキュリティ番号 -->
                <div class="uk-margin">
                    <div id="{{PL_NAME}}-card-cvc" class="input mhs-card-input"></div>
                </div>


                <!-- 本番決済用コマンド -->
                <input type="hidden" name="cmd" value="mhs-{{PL_NAME}}-pay">
                <input type="hidden" name="admin_mail" value="{{admin_mail}}" class="admin_mail">
                <input type="hidden" name="url" value="{{url}}" class="url">
                <input type="hidden" name="auth_url" value="{{auth_url}}" class="auth_url">
                <input type="hidden" name="return_url" value="{{return_url}}" class="return_url">


                <!-- ボタン -->
                <button type="submit" id="mhs-licence-confirm-btn" class="uk-button uk-button-danger uk-button-large uk-text-large uk-width-1-1">この内容で認証する</button>

                <div id="{{PL_NAME}}-err" class="uk-alert mhs-notice-negative uk-hidden" uk-alert></div>

            </form>

        </div>
    </div>
</div>


<!-- 支払済ライセンス認証モーダル -->
<div id="mhs-modal-aready-licence" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">支払済ライセンス認証</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

            <form id="{{PL_NAME}}-aready-licence-form" class="{{PL_NAME}}-aready-licence uk-form-horizontal uk-margin-large" action="" method="post">

			    <div class="uk-margin">
			        <label class="uk-form-label">メールアドレス</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
			        </div>
			    </div>

			    <div class="uk-margin">
			        <label class="uk-form-label">認証コード</label>
			        <div class="uk-form-controls">
			            <input class="uk-input" name="code" type="text" placeholder="認証コード">
			        </div>
			    </div>

				<hr>

				<div class="uk-alert mhs-notice-warning" uk-alert>
				    <h3>支払済ライセンス認証について</h3>
				    <p>ココナラなどで既に定額料金を支払済みの方向けです。期限が切れるとライセンスが失効し使えなくなります。</p>
失効前に契約を継続したい場合は「ライセンス認証」で延長が可能です。</p>
					<p>最初から「ライセンス認証」でクレジットカードを登録しておくことで、支払済の定額課金終了後に自動的にサブスクを継続することも可能です。</p>
				</div>

                <input type="hidden" name="cmd" value="mhs-{{PL_NAME}}-aready-licence">

                <!-- ボタン -->
                <button type="button" id="mhs-aready-licence-confirm-btn" class="uk-button uk-button-danger uk-button-large uk-text-large uk-width-1-1">この内容で認証する</button>

            </form>

        </div>
    </div>
</div>


<!-- ライセンス新規追加モーダル -->
<div id="mhs-modal-add-licence" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">ライセンス新規追加</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

            <form id="{{PL_NAME}}-add-licence-form" class="{{PL_NAME}}-add-licence uk-form-horizontal uk-margin-large" action="" method="post">

				<div class="uk-margin">
					<label class="uk-form-label">メールアドレス</label>
					<div class="uk-form-controls">
						<input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
					</div>
				</div>

				<hr>

				<div class="item_info">
				</div>

				<div class="uk-alert mhs-notice-warning" uk-alert>
					<h3>課金の開始時期について</h3>
					<p>月々5000円(半年ごとのお支払い)</p>
				</div>


                <input type="hidden" name="cmd" value="mhs-{{PL_NAME}}-add-licence">

                <!-- ボタン -->
                <button type="button" id="mhs-add-licence-confirm-btn" class="uk-button uk-button-danger uk-button-large uk-text-large uk-width-1-1">この内容で追加する</button>

            </form>

        </div>
    </div>
</div>


<!-- サブスクID再認証モーダル -->
<div id="mhs-modal-certification-licence" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">サブスクID再認証</h2>
        </div>
        <div class="uk-modal-body" uk-overflow-auto>

            <form id="{{PL_NAME}}-certification-licence-form" class="{{PL_NAME}}-certification-licence uk-form-horizontal uk-margin-large" action="" method="post">

				<div class="uk-margin">
					<label class="uk-form-label">メールアドレス</label>
					<div class="uk-form-controls">
						<input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
					</div>
				</div>

				<div class="uk-margin">
					<label class="uk-form-label">サブスクID</label>
					<div class="uk-form-controls">
						<input class="uk-input" name="subsc_id" type="text" placeholder="サブスクID">
					</div>
				</div>

				<hr>

				<div class="uk-alert mhs-notice-warning" uk-alert>
					<h3>サブスクIDの再認証について</h3>
					<p>ライセンス追加(決済)後に「install-press2の機能を解放するためにライセンス認証を行って下さい。」と表示され、次の処理に進めない方はサブスクIDの再認証をお試し下さい。</p>
					<p>サブスクIDは決済時にメールにて送信されています。</p>
				</div>


                <input type="hidden" name="cmd" value="mhs-{{PL_NAME}}-certification-licence">

                <!-- ボタン -->
                <button type="button" id="mhs-certification-licence-confirm-btn" class="uk-button uk-button-danger uk-button-large uk-text-large uk-width-1-1">この内容で再認証する</button>

            </form>

        </div>
    </div>
</div>


<!-- ライセンス認証結果モーダル -->
<div id="mhs-modal-activation-result" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">タイトル</h2>
        </div>
        <div class="uk-modal-body">
コンテンツ
        </div>
    </div>
</div>


<style>
.mhs-card-input
{
	padding: 10px;
    border: 1px solid #ff000033;
}
#mhs-activation , #mhs-aready-licence , #mhs-add-licence , #mhs-certification-licence
{
	cursor: pointer;
}
</style>
{{script}}

EOM;
 $script = <<< EOM
<script src="https://js.stripe.com/v3/"></script>
<script>
//ページのロードが完了したら
window.addEventListener( 'load' , ()=>
{
	const loader = document.querySelectorAll( '.mhs-loader' );

	//ローダーを非表示にする
	loader.forEach( ( elem ) => { elem.style.display ='none'; });


	let fd = new FormData();

	//サーバーに渡す値を追加
	fd.append( 'action' , '{{get_item_action}}' );
	fd.append( 'token' , '{{token}}' );

	//ajax通信
	fetch( '{{admin_ajax_url}}' ,
	{
		method: 'POST',
		cache: 'no-cache' ,
		body: fd
	})
	.then( response =>
	{
		//通信が正常であれば
		if( response.status == 200 )
		{
		}
		//異常であれば
		else
		{
		}

		return response.json();
	})
	.then( data =>
	{
		//正常に通信できていれば
		if( data.status )
		{
			//商品情報枠取得
			const modal_item_info1		= document.querySelector( '#mhs-modal-activation .item_info' );
			const modal_item_info2		= document.querySelector( '#mhs-modal-add-licence .item_info' );

			//商品情報を追加する
			modal_item_info1.innerHTML	= data.item_desc;
			modal_item_info2.innerHTML	= data.item_desc;
		}
/*
$H_res			= array
(
	'status'	=> 1 ,
	'item_price'=> 5000 ,
	'item_name'	=> '【サブスク】プラグイン使い放題プラン' ,
	'item_desc'	=> '月々5000円(半年ごとのお支払い)で1ライセンス・1ドメイン・1WordPressで対象プラグインが全て使い放題のプランです。' ,
);
*/

		console.log( data );
	})
	.catch( error =>
	{
		console.log( error );
	});


	const result = {{result}};

	//結果が返ってきたら
	if( result )
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-activation-result' ).show();

		const modal_title		= document.querySelector( '#mhs-modal-activation-result .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-activation-result .uk-modal-body' );

		modal_title.innerHTML	= '{{result_title}}';
		modal_body.innerHTML	= '<p>{{result_msg}}</p>';

		//結果モーダルを閉じたら
		UIkit.util.on( '#mhs-modal-activation-result' , 'hidden' , function()
		{
			//更新する
			location.href = '{{this_url}}';
		});
	}


	//アクティベーションするなら
	document.querySelector( '#mhs-activation' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-activation' ).show();
	});


	//支払済ライセンス認証するなら
	document.querySelector( '#mhs-aready-licence' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-aready-licence' ).show();
	});


	//ライセンスを追加するなら
	document.querySelector( '#mhs-add-licence' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-add-licence' ).show();
	});


	//サブスクIDを再認証するなら
	document.querySelector( '#mhs-certification-licence' ).addEventListener( 'click' , ()=>
	{
		//モーダルを開く
		UIkit.modal( '#mhs-modal-certification-licence' ).show();
	});


	//サブスクIDを再認証するなら
	document.querySelector( '#mhs-aready-licence-confirm-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-aready-licence-form input[name="mail"]' ).value;
		const code				= document.querySelector( '#{{PL_NAME}}-aready-licence-form input[name="code"]' ).value;
		const modal_button		= document.querySelector( '#mhs-aready-licence-confirm-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-body' );

		if(! mail || ! code )
		{
			alert( 'メールアドレスまたは認証コードが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-aready-licence-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
		anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_aready_licence}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-aready-licence .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-aready-licence .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-aready-licence .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= '<p>' + data.msg + '</p>';

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});


	//ライセンスを追加するなら
	document.querySelector( '#mhs-add-licence-confirm-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-add-licence-form input[name="mail"]' ).value;
		const modal_button		= document.querySelector( '#mhs-add-licence-confirm-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-add-licence .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-add-licence .uk-modal-body' );

		if(! mail )
		{
			alert( 'メールアドレスが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-add-licence-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
		anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-add-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-add-licence .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-add-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-add-licence .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-add-licence .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-add-licence .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= '<p>' + data.msg + '</p>';

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});



	//サブスクIDを再認証するなら
	document.querySelector( '#mhs-certification-licence-confirm-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-certification-licence-form input[name="mail"]' ).value;
		const subsc_id			= document.querySelector( '#{{PL_NAME}}-certification-licence-form input[name="subsc_id"]' ).value;
		const modal_button		= document.querySelector( '#mhs-certification-licence-confirm-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-body' );

		if(! mail || ! subsc_id )
		{
			alert( 'メールアドレスまたはサブスクIDが未入力です。' );
			return false;
		}

		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-certification-licence-form' );

		let fd = new FormData( fetchForm );

		//ボタンの非表示
		anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action_certification_licence}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-certification-licence .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-certification-licence .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-certification-licence .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= '<p>' + data.msg + '</p>';

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});



	// StripeのAPIキーを読み込み
	var stripe      = Stripe( '{{public_key}}' );

	// Elementsインスタンスを作成
	var elements    = stripe.elements();

	// Elementsのスタイルを指定
	var style = 
	{
		base:
		{
			color           : '#32325d',
			fontFamily      : '"Helvetica Neue", Helvetica, sans-serif',
			fontSize        : '30px' ,
			'::placeholder' :
			{
				color       : '#cfd7df',
			},
		},
		invalid:
		{
			color           : '#fa755a',
			iconColor       : '#fa755a'
		}
	};

	// フォームのidを指定してElementsをマウント
	const cardNumber    = elements.create( 'cardNumber' , { style: style , showIcon: true , placeholder: 'カード番号 1111 1111 1111 1111' } );
	cardNumber.mount( '#{{PL_NAME}}-card-number' );

	const cardExpiry    = elements.create( 'cardExpiry' , { style: style , placeholder: '有効期限　MM/YY' } );
	cardExpiry.mount( '#{{PL_NAME}}-card-expiry' );

	const cardCvc       = elements.create( 'cardCvc' , { style: style , placeholder: 'カード裏の3桁のセキュリティ番号' } );
	cardCvc.mount( '#{{PL_NAME}}-card-cvc' );

	// カード番号のリアルタイムバリデーション
	cardNumber.addEventListener( 'change' , function( event )
	{
		var displayError                = document.getElementById( '{{PL_NAME}}-err' );

		if( event.error )
		{
			//hiddenクラスを削除
			displayError.classList.remove( 'uk-hidden' );

			displayError.textContent    = event.error.message;
		}
		else
		{
			//hiddenクラスを追加
			displayError.classList.add( 'uk-hidden' );

			displayError.textContent    = '';
		}
	});


	// Submitボタンでエラーをチェック
	var form    = document.getElementById( '{{PL_NAME}}-card_payment-form' );

	//この内容で認証するボタンを押下したら
	form.addEventListener( 'submit' , function( event )
	{
		event.preventDefault();

		//この内容で認証するボタンを取得
        const confirm_btn                   = document.getElementById( 'mhs-licence-confirm-btn' );

        //hiddenクラスを追加して隠す
        confirm_btn.classList.add( 'uk-hidden' );

		stripe.createToken( cardNumber ).then( function( result )
		{
			var errorElement                = document.getElementById( '{{PL_NAME}}-err' );

			//エラーであれば
			if( result.error )
			{
				//hiddenクラスを削除
				errorElement.classList.remove( 'uk-hidden' );

				errorElement.textContent    = result.error.message;
			}
			else
			{
				//hiddenクラスを追加
				errorElement.classList.add( 'uk-hidden' );

				// Send the token to your server.
				stripeTokenHandler( result.token , '{{PL_NAME}}-card_payment-form' );
			}
		});
	});
});

// フォーム送信処理 (stripeTokenをhiddenで送信)
function stripeTokenHandler( token , form_id )
{
    // Insert the token ID into the form so it gets submitted to the server
    var form        = document.getElementById( form_id );
    var hiddenInput = document.createElement( 'input' );

    hiddenInput.setAttribute( 'type' , 'hidden' );
    hiddenInput.setAttribute( 'name' , 'stripeToken' );
    hiddenInput.setAttribute( 'value' , token.id );

    form.appendChild( hiddenInput );

    // Submit the form
    form.submit();
}
</script>

EOM;
  $H_url = parse_url( home_url() ); $url = $H_url[ 'host' ] . $H_url[ 'path' ];  $script = str_replace( '{{url}}' , $url , $script ); $script = str_replace( '{{action}}' , 'install-press2_add_licence' , $script ); $script = str_replace( '{{action_certification_licence}}' , 'install-press2_certification_licence' , $script ); $script = str_replace( '{{action_aready_licence}}' , 'install-press2_aready_licence' , $script ); $script = str_replace( '{{get_item_action}}' , 'install-press2_get_item' , $script ); $script = str_replace( '{{token}}' , wp_create_nonce( $NOUNCE_KEY ) , $script ); $script = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $script ); $script = str_replace( '{{public_key}}' , $public_key , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script );  $mhs_Path = new mhs_Path2(); $img_path = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $template = str_replace( '{{url}}' , $url , $template ); $template = str_replace( '{{auth_url}}' , home_url() , $template ); $template = str_replace( '{{script}}' , $script , $template ); $template = str_replace( '{{payment_action_url}}' , $payment_action_url , $template ); $template = str_replace( '{{admin_mail}}' , get_option( 'admin_email' ) , $template ); $template = str_replace( '{{return_url}}' , $return_url , $template ); $template = str_replace( '{{PL_NAME}}' , $PL_NAME , $template ); $template = str_replace( '{{img_path}}' , $img_path , $template );  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_REQUEST );  if( $H_query[ 'cmd' ] == 'finish' ) { $result_title= htmlspecialchars_decode( $H_query[ 'title' ] , ENT_QUOTES ); $result_msg = htmlspecialchars_decode( $H_query[ 'msg' ] , ENT_QUOTES ); $template = str_replace( '{{result}}' , 1 , $template ); $template = str_replace( '{{result_title}}' , $result_title , $template ); $template = str_replace( '{{result_msg}}' , $result_msg , $template ); $template = str_replace( '{{this_url}}' , admin_url( 'admin.php?page=mhs-install-press2%2Finstall-press2.php' ) , $template );   if( $H_query[ 'status' ] == 1 ) {  unset( $H_query[ 'cmd' ] ); unset( $H_query[ 'title' ] ); unset( $H_query[ 'msg' ] ); unset( $H_query[ 'page' ] );  $mhs_Option = new mhs_Option2();  $mhs_Option->UPDATE_OPTION( 'mhs-subsc-licenced' , $H_query , 1 ); } } else { $template = str_replace( '{{result}}' , 0 , $template ); }  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; }  function PLUGIN_AUTHORIZATION() {  global $INSP_V2 , $JP2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  $Common_PrintOut = new mhs_Common_PrintOut2();  $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-UIKit' , $index = 'UIKit' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ); $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ); $template = <<< EOM
<div class="wrap">
	<h2 class="page-title">プラグイン認証</h2>

	<div class="{{PL_NAME}}-plugin-authorization uk-container uk-container-xsmall uk-padding">

		<form id="{{PL_NAME}}-plugin-authorization-form" class="uk-form-horizontal">

	        <div class="uk-margin">
	            <label class="uk-form-label">登録した苗字</label>
	            <div class="uk-form-controls">
	                <input id="name1" type="text" class="uk-input" name="name1" placeholder="苗字" pattern="[\u4E00-\u9FFF\u3040-\u309Fー]*">
	            </div>
	        </div>

	        <div class="uk-margin">
	            <label class="uk-form-label">登録した名前</label>
	            <div class="uk-form-controls">
	                <input id="name2" type="text" class="uk-input" name="name2" placeholder="名前" pattern="[\u4E00-\u9FFF\u3040-\u309Fー]*">
	            </div>
	        </div>

		    <div class="uk-margin">
		        <label class="uk-form-label">登録したメールアドレス</label>
		        <div class="uk-form-controls">
		            <input class="uk-input" name="mail" type="email" placeholder="メールアドレス">
		        </div>
		    </div>

			<div class="uk-alert mhs-notice-default" uk-alert>
			    <p>プラグインを認証することでプラグインのバージョンアップが可能となります。初回のみ行って下さい。<br>プラグイン認証の前に、Install Pressからライセンス認証を完了しておく必要があります。</p>
			</div>

			<div class="uk-alert mhs-notice-success" uk-alert>
				<h3 class="header">プラグインの認証後について</h3>
			    <p>Install Pressのプラグイン認証が完了したら [ Install Press2 ] → [ インストール ] メニューからインストールを行うことができます。</p>
			</div>

			<div class="uk-margin-medium-top">
				<button id="{{PL_NAME}}-plugin-authorization-btn" class="uk-button uk-button-primary uk-width-1-1" type="button">認証する</button>
				<div class="mhs-loader uk-flex uk-flex-center"><div uk-spinner></div></div>
			</div>
		</form>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc/#introduction" target="_blank">導入手順はこちら</a>
	</div>

	<div class="uk-alert mhs-notice-default" uk-alert>
	    <a href="https://wp-plugin.info/plugins-subsc-qa/" target="_blank">インストールとバージョンアップのＱ＆Ａはこちら</a>
	</div>


</div>

<div id="mhs-modal-result" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog" uk-overflow-auto>
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <div class="uk-modal-header">
            <h2 class="uk-modal-title">タイトル</h2>
        </div>
        <div class="uk-modal-body">
内容
        </div>

    </div>
</div>

<style>
.{{PL_NAME}}-plugin-authorization
{
	background-color: #FFF;
	border: 1px solid #b3b3b3;
	border-radius: 4px;
	box-shadow: 0 5px 15px rgb(0 0 0 / 8%);
}
</style>

{{script}}

EOM;
 $script = <<< EOM
<script>
//ページのロードが完了したら
window.addEventListener( 'load' , ()=>
{
	const loader = document.querySelectorAll( '.mhs-loader' );

	//ローダーを非表示にする
	loader.forEach( ( elem ) => { elem.style.display ='none'; });


	//プラグインを認証するなら
	document.querySelector( '#{{PL_NAME}}-plugin-authorization-btn' ).addEventListener( 'click' , ()=>
	{
		const mail				= document.querySelector( '#{{PL_NAME}}-plugin-authorization-form input[name="mail"]' ).value;
		const name1				= document.querySelector( '#{{PL_NAME}}-plugin-authorization-form input[name="name1"]' ).value;
		const name2				= document.querySelector( '#{{PL_NAME}}-plugin-authorization-form input[name="name2"]' ).value;
		const modal_button		= document.querySelector( '#{{PL_NAME}}-plugin-authorization-btn' );
		const modal_title		= document.querySelector( '#mhs-modal-result .uk-modal-title' );
		const modal_body		= document.querySelector( '#mhs-modal-result .uk-modal-body' );

		//メールまたは名前、認証コードが入力されていなければ
		if(! mail || ! name1 || ! name2 )
		{
			//モーダルを開く
			UIkit.modal( '#mhs-modal-result' ).show();

			modal_title.innerHTML	= 'エラー';
			modal_body.innerHTML	= '<p>名前またはメールアドレスが正しく入力されていませんでした。再度確認した上で入力をお願いします。</p>';

			return false;
		}


		//フォームオブジェクトを取得
		const fetchForm = document.querySelector( '#{{PL_NAME}}-plugin-authorization-form' );

		let fd = new FormData( fetchForm );

		//モーダルの表示
		UIkit.modal( '#mhs-modal-result' ).show();

		//ボタンの非表示
	    anime( { targets: modal_button , opacity: 0 } );
		modal_button.disabled	= true;	//アニメで非表示にできないので無効にする

		modal_title.innerHTML	= '通信中';
		modal_body.innerHTML	= '<p>通信処理が完了するまでしばらくお待ち下さい。</p><div class="uk-flex uk-flex-center"><div uk-spinner></div></div>';

		//サーバーに渡す値を追加
		fd.append( 'action' , '{{action}}' );
		fd.append( 'token' , '{{token}}' );

		//ajax通信
		fetch( '{{admin_ajax_url}}' ,
		{
			method: 'POST',
			cache: 'no-cache' ,
			body: fd
		})
		.then( response =>
		{
			//通信が正常であれば
			if( response.status == 200 )
			{
				const modal_title		= document.querySelector( '#mhs-modal-result .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-result .uk-modal-body' );

				modal_title.innerHTML	= '通信完了';
				modal_body.innerHTML	= '<p>通信処理が完了しました。</p>';
			}
			//異常であれば
			else
			{
				const modal_title		= document.querySelector( '#mhs-modal-result .uk-modal-title' );
				const modal_body		= document.querySelector( '#mhs-modal-result .uk-modal-body' );

				modal_title.innerHTML	= '異常終了';
				modal_body.innerHTML	= '<p class="uk-text-danger">処理が異常終了しました。</p>';
			}

			return response.json();
		})
		.then( data =>
		{
			const modal_title			= document.querySelector( '#mhs-modal-result .uk-modal-title' );
			const modal_body			= document.querySelector( '#mhs-modal-result .uk-modal-body' );

			modal_title.innerHTML		= data.title;
			modal_body.innerHTML		= data.msg;

			console.log( data );
		})
		.catch( error =>
		{
			console.log( error );
		});

	});


	//結果モーダルを閉じたら
	UIkit.util.on( '#mhs-modal-result' , 'hidden' , function()
	{
		//リロードする
		location.reload();
	});

});
</script>

EOM;
  $script = str_replace( '{{action}}' , '{{PL_NAME}}-plugin-authorization' , $script ); $script = str_replace( '{{token}}' , wp_create_nonce( $NOUNCE_KEY ) , $script ); $script = str_replace( '{{admin_ajax_url}}' , admin_url( 'admin-ajax.php' ) , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script ); $template = str_replace( '{{script}}' , $script , $template ); $template = str_replace( '{{PL_NAME}}' , 'mhs-' . $PL_NAME , $template );  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; }  function AJAX_PLUGIN_AUTHORIZATION() {  global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => '認証エラー', 'msg' => 'トークンが正しくありませんでした。プラグイン認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $H_url = parse_url( home_url() );  $H_auth[ 'cmd' ] = 'mhs-update-press2-plugin_authorization'; $H_auth[ 'mail' ] = $mail; $H_auth[ 'name1' ] = $name1; $H_auth[ 'name2' ] = $name2; $H_auth[ 'item_name' ] = $item_name; $H_auth[ 'admin_mail' ] = get_option( 'admin_email' ); $H_auth[ 'url' ] = $H_url[ 'host' ] . $H_url[ 'path' ]; $H_auth[ 'auth_url' ] = home_url();  $query_string = http_build_query( $H_auth , '' , '&' );  $url = 'https://wp-plugin.info/?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true );  $option_name = $item_name . '-' . 'authentication';  $mhs_Option = new mhs_Option2();  if( $H_res[ 'status' ] == 1 ) {   $res = $mhs_Option->UPDATE_OPTION( $option_name , $H_res , 1 ); }  else {  $res = $mhs_Option->UPDATE_OPTION( $option_name , null , 1 ); } $this->AJAX_RES( $H_res , 1 ); }  function ADMIN_MENU() { global $INSP_V2;  foreach( (array)$INSP_V2 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Option = new mhs_Option2();  $H_licence = $mhs_Option->GET_OPTION( 'mhs-subsc-licenced' );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $H_auth = $mhs_Option->GET_OPTION( $item_name . '-' . 'authentication' );  if(! isset( $H_licence[ 'status' ] ) or ! $H_licence[ 'status' ] ) $badge1 = '<span class="update-plugins">!</span>';  if(! isset( $H_auth[ 'status' ] ) or ! $H_auth[ 'status' ] ) $badge2 = '<span class="update-plugins">!</span>';  $this->ADD_MENU( $MENU_PREFIX . $badge1 , 8 , __FILE__ , $this , 'ACTIVATION' , 'dashicons-update' );  $this->ADD_SUBMENU( $MENU_PREFIX , 'ライセンス認証' . $badge1 , 8 , __FILE__ , $this , 'ACTIVATION' );  if( isset( $H_auth[ 'status' ] ) and $H_auth[ 'status' ] == 1 ) { $this->ADD_SUBMENU( $MENU_PREFIX , 'インストール' , 8 , $INSTALL_NAME , $this , 'INSTALL' ); $this->ADD_SUBMENU( $MENU_PREFIX , '契約確認・解約申請' , 8 , $CANCEL_NAME , $this , 'CANCEL' ); }  if( isset( $H_licence[ 'status' ] ) and $H_licence[ 'status' ] == 1 ) { $this->ADD_SUBMENU( $MENU_PREFIX , 'サポート契約・解約' . $badge2 , 8 , $SUPPORT_CONTRACT_NAME , $this , 'SUPPORT_CONTRACT' ); $this->ADD_SUBMENU( $MENU_PREFIX , 'プラグイン認証' . $badge2 , 8 , $PLUGIN_AUTHORIZATION_NAME , $this , 'PLUGIN_AUTHORIZATION' ); }  }  function ADD_MENU( $menu_prefix , $level , $pid , $class_name , $do_func , $icon ) {  add_menu_page ( $menu_prefix . ' - 設定' ,  $menu_prefix ,  $level ,  $pid ,  array( &$class_name , $do_func ),  $icon  ); }  function ADD_SUBMENU( $menu_prefix , $menu_title , $level , $pid , $class_name , $do_func ) {  add_submenu_page ( __FILE__,  $menu_prefix ." - $menu_title",  $menu_title ,  $level ,  $pid ,  array( &$class_name , $do_func ) ); }  function EXPORT_WARPPER() { global $INSP_V2;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING_EXPORT( $INSP_V2 , __FILE__ ); }  function IMPORT_WARPPER() { global $INSP_V2;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING_IMPORT( $INSP_V2 , __FILE__ ); }  function SETTING_WARPPER() { global $INSP_V2;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING( $INSP_V2 , $this , __FILE__ ); }  function RESET_WARPPER() { global $INSP_V2;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->RESET( $INSP_V2 , __FILE__ ); }  function UNINSTALL_WARPPER() { global $INSP_V2;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->UNINSTALL( $INSP_V2 , __FILE__ ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } ?>